Update Customer

Overview

This endpoint allows for updates in a customer record.

Endpoint Details

Definition

Description

Endpoint

https://api.paas.sandbox.co.passportfintech.com/v1/customers/:customer_id

Method

PATCH

Headers

Content-Type: application/json, Authorization

Authentication

Access Token (Bearer Token)

Request Body

The following fields can be updated in a customer record:

Parameter

Type

Description

id

String

The unique identifier of the customer object.

business_name

String

The registered business name of customer.

email

String

Customer's contact email address.

mobile_phone_number

String

Customer's mobile number.

identification_number

String

Customer's Identification Number.

merchant_category_code

String

The Merchant Category Code (MCC).

Information

The identification (id) is permanent and cannot be modified.

Example Request

curl --location --request PATCH 'https://api.paas.demo.co.passportfintech.com/v1/customers/db7e89e7-59d8-4ab1-b675-a2ae52c3339e' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "id": "db7e89e7-59d8-4ab1-b675-a2ae52c3339e", "business_name": "changing", "email": "eAqpUh6u@example.com", "mobile_phone_number": "573956158117" }'

Response

Example of Response

  • HTTP Status Code: 200 OK.

  • The response will contain its unique identifier.

{ "business_name": "changing", "type": "BUSINESS", "created_at": "2025-10-09T10:40:27.446Z", "updated_at": "2025-10-09T17:19:27.951Z", "email": "eAqpUh6u@example.com", "identification_type": "NIT", "identification_number": "903978023", "status": "ACTIVE", "merchant_category_code": "0412", "mobile_phone_number": "573956158117", "address": { "state": "Bolivar", "line_1": "Diagonal 46 1104", "line_3": "Calle 20 675", "city": "Cartagena", "post_code": "101010", "line_2": "Carrera 18 2111", "country": "CO" }, "id": "db7e89e7-59d8-4ab1-b675-a2ae52c3339e" }

Common Errors and Handling

HTTP Status Code

Meaning

Description

400

Bad Request

Validation failed (e.g., missing or invalid field).

401

Unauthorized

Missing or invalid bearer token.

403

Forbidden

Insufficient scope or access rights.

404

Not Found

Customer with given ID does not exist.

Best Practices

  • Refresh OAuth tokens before they expire to avoid authentication failures.

  • Make sure the entity_customer_id is correct.